id3lib 3.8.3

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros | Functions
utils.h File Reference
`#include "id3/id3lib_streams.h"`
`#include "id3/globals.h"`
`#include "id3/id3lib_strings.h"`

Go to the source code of this file.

## Namespaces
| dami

## Macros
#define | ID3_PATH_LENGTH (2048 + 1)

## Functions
template<typename T >
const T & | dami::min (const T &a, const T &b)
template<typename T >
const T & | dami::max (const T &a, const T &b)
template<typename T >
const T & | dami::mid (const T &lo, const T &mid, const T &hi)
template<typename T >
T | dami::abs (const T &a)
size_t ID3_C_EXPORT | dami::renderNumber (uchar *buffer, uint32 val, size_t size=sizeof(uint32))
String ID3_C_EXPORT | dami::renderNumber (uint32 val, size_t size=sizeof(uint32))
String ID3_C_EXPORT | dami::toString (uint32 val)
WString ID3_C_EXPORT | dami::toWString (const unicode_t[], size_t)
size_t ID3_C_EXPORT | dami::ucslen (const unicode_t *unicode)
String ID3_C_EXPORT | dami::convert (String data, ID3_TextEnc, ID3_TextEnc)
size_t ID3_C_EXPORT | dami::getFileSize (fstream &)
size_t ID3_C_EXPORT | dami::getFileSize (ifstream &)
size_t ID3_C_EXPORT | dami::getFileSize (ofstream &)
ID3_Err ID3_C_EXPORT | dami::createFile (String, fstream &)
ID3_Err ID3_C_EXPORT | dami::openWritableFile (String, fstream &)
ID3_Err ID3_C_EXPORT | dami::openWritableFile (String, ofstream &)
ID3_Err ID3_C_EXPORT | dami::openReadableFile (String, fstream &)
ID3_Err ID3_C_EXPORT | dami::openReadableFile (String, ifstream &)

## Macro Definition Documentation

#define ID3_PATH_LENGTH (2048 + 1)

Definition at line 46 of file utils.h.